﻿@charset "UTF-8";

/** 商品購入-共通 **/
.font-small {
    font-size: 10px;
}

/* ？ボタン */
.help {
    display: flex;
    align-items: center;
    position: relative;
}

    .help > button {
        margin-left: 2px;
        padding: 0px;
        font-size: 1rem;
    }

    .help > span {
        vertical-align: middle;
    }

/* 大見出し */
.head-line {
    border-left: 5px solid var(--custom-green);
    padding-left: 8px;
    margin-bottom: 10px;
    font-size: 16px;
}

/* 中見出し */
.middle-head-line {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    padding: 5px 10px;
    border-radius: 5px;
    color: var(--custom-gray1);
    background-color: var(--custom-blue);
    font-size: 16px;
    height: 40px;
}

/** 商品購入-商品詳細 **/
/* 商品画像 */
.item-image-area {
    width: 100%;
}

    .item-image-area > img {
        width: 100%;
    }

.item-youtube-area {
    width: 100%;
    position: relative;
    padding-top: 56.25%;
    height: 0;
}

    .item-youtube-area > iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

.separate {
    border-bottom: 5px solid var(--custom-gray2);
}
/* 販売名称 */
.item-name {
    padding: 15px;
    font-size: 20px;
    font-weight: bold;
}

/* 商品詳細 */
.item-detail {
    padding: 20px 20px 5px 20px;
    color: var(--custom-black);
    font-size: 15px;
    position: relative;
    overflow: hidden;
}

.min-height {
    height: 240px;
}

.max-height {
    height: 100% !important;
}

.item-detail pre {
    color: var(--custom-black);
    font-size: 15px;
    white-space: pre-wrap;
    overflow-x: hidden;
    overflow-y: hidden;
    word-break: break-all;
}

.item-detail .title {
    margin-top: 8px;
    margin-bottom: 2px;
    font-size: 15px;
    color: var(--custom-black);
    display: flex;
    border-left: 0;
    padding-left: 0;
}

.item-detail .use-stop-message {
    color: var(--custom-red)
}

.test-alert-message {
    font-size: 12px;
}

.item-hashtag {
    margin-top: 15px;
}

.message-style {
    margin-bottom: 1rem;
}

/* 閉じる */
#more-view {
    margin: 0 -20px;
}

/* カレンダを確認する */
.calendar {
    border: 2px solid var(--custom-gray2);
    background-color: var(--custom-white);
}

/* 利用可能場所を確認する */
.check-link {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 250px;
    color: var(--custom-white);
    background-color: var(--custom-blue);
    border-radius: 5px;
    padding: 3px 10px 3px 10px;
}

    .check-link > div:first-child {
        font-size: 14px;
    }

    .check-link > div > div:last-child {
        font-size: 12px;
    }

        .check-link > div > div:last-child::before {
            content: "※";
        }

/* 枚数選択 */
.count {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 30px;
    margin: 0px 10px;
    border-bottom: 1px solid var(--custom-gray2);
    font-size: 16px;
}

.count-text {
    position: relative;
    top: 9px;
    left: 6px;
}

.count-input {
    display: inline-flex;
}

/* 払戻し可否 */
.cancel-back {
    justify-content: flex-end;
    margin-right: 25px;
    font-size: 16px;
    margin-top: 20px;
}

/** 商品購入確認 **/
.buy-item-check {
    padding: 15px 20px 15px 15px;
    color: var(--custom-black);
    font-size: 12px;
}

.buy-info {
    padding-bottom: 15px;
    font-size: 15px;
}

.buy-info-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 2px 0px 3px 0px;
    padding: 2px 10px;
}

    .buy-info-row > div {
        width: 25%;
        text-align: right;
        font-size: 16px;
    }

        .buy-info-row > div:first-child {
            text-align: left;
            width: 20%;
        }

    .buy-info-row > .buy-num,
    .buy-info-row > .use-count-num {
        width: 30%;
    }

        .buy-info-row > .buy-num::after {
            content: "枚";
        }

        .buy-info-row > .use-count-num::after {
            content: "回";
        }

    .buy-info-row > .price {
        width: 40% !important;
    }

        .buy-info-row > .price::after {
            content: "円";
            margin: 0;
        }

.total {
    font-weight: bold;
    border-top: 1px solid var(--custom-black);
}

/* 購入者情報 */
.buyer-info-area {
    padding: 15px;
    font-size: 13px;
    background: var(--custom-white);
}

    .buyer-info-area > div {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        color: var(--custom-black);
        margin-bottom: 12px;
        border-bottom: 1px solid var(--custom-black);
    }


/* クレジットカード情報 */
.credit-info {
    padding: 15px;
    font-size: 13px;
    background: var(--custom-white);
}

    .credit-info > div {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        color: var(--custom-black);
        margin-bottom: 12px;
        border-bottom: 1px solid var(--custom-black);
    }

.credit-icon > i {
    margin-right: 5px;
}

.other-credit {
    justify-content: flex-end !important;
    border-bottom: none !important;
    margin-bottom: 0 !important;
}

    .other-credit > span {
        color: var(--custom-blue);
        font-size: 13px;
    }

.credit-dialog {
    background-color: var(--custom-gray1);
}

    .credit-dialog > .dialog-main {
        text-align: left;
        padding: 20px 20px 5px 20px;
    }

        .credit-dialog > .dialog-main > div {
            margin-bottom: 10px;
        }

            .credit-dialog > .dialog-main > div:last-child {
                display: flex;
                justify-content: flex-start;
                align-items: flex-start;
                color: var(--custom-red);
                font-size: 12px;
            }

            .credit-dialog > .dialog-main > div:first-child {
                color: var(--custom-blue);
                font-weight: bold;
                border-bottom: 2px solid var(--custom-blue);
            }

        .credit-dialog > .dialog-main > .input-credit-name > div:last-child {
            width: 100%;
        }

        .credit-dialog > .dialog-main > .input-credit-no > div:last-child {
            display: flex;
            justify-content: flex-start;
            align-items: center;
        }

        .credit-dialog > .dialog-main > .input-credit-no input {
            width: 100%;
        }

        .credit-dialog > .dialog-main > .input-credit-limit > div:nth-child(2) {
            display: flex;
            justify-content: flex-start;
            align-items: center;
        }

            .credit-dialog > .dialog-main > .input-credit-limit > div:nth-child(2) select:first-child {
                width: auto;
                margin-right: 10px;
            }

            .credit-dialog > .dialog-main > .input-credit-limit > div:nth-child(2) select {
                width: auto;
                margin-right: 10px;
            }

        .credit-dialog > .dialog-main > .input-credit-sec input {
            width: 20%;
        }

        .credit-dialog > .dialog-main > .input-credit-sec span {
            color: var(--custom-blue);
            font-size: 14px;
        }

/* 確認ボタン */
.dialog-btn > button {
    color: var(--custom-white);
    background-color: var(--custom-blue);
    border-radius: 30px;
    font-weight: bold;
    padding: 10px;
    margin-bottom: 20px;
    width: 90%;
    height: 50px;
}

    .dialog-btn > button > .icon {
        float: right;
    }

.dialog-btn > .btn:hover {
    color: var(--custom-white);
}

.terms {
    margin: 20px;
}

    .terms > .terms-message {
        color: var(--custom-black);
        border: 1px solid var(--custom-black);
        height: 150px;
        margin: 5px 10px;
        padding: 5px;
        overflow-y: auto;
    }

        .terms > .terms-message > div {
            white-space: pre-wrap;
            word-break: break-all;
        }

.terms-check {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 15px 10px 15px 30px;
}

.terms-check-size {
    font-size: 13px;
}

.terms > .use-terms-message {
    color: var(--custom-black);
    border: none;
    height: 150px;
    margin: 20px 0px
}

#use-terms-iframe {
    width: 100%;
}


/** 商品購入-購入完了 **/
#complete {
    text-align: center;
    border-bottom: 1px solid var(--custom-gray2);
}

    #complete > .message {
        margin-top: 20px;
        font-size: 24px;
        color: var(--custom-blue);
        font-weight: bold;
    }

    #complete > .use-item {
        display: flex;
        justify-content: center;
    }

        #complete > .use-item > button {
            color: var(--custom-white);
            background-color: var(--custom-green);
            border-radius: 30px;
            font-weight: bold;
            display: inline-block;
            width: 90%;
            margin: 12px 0px 4px 0px;
            padding: 8px 13px;
            display: inline-flex;
        }

            #complete > .use-item > button > .icon {
                float: right;
            }

/* ボタンエリア */

/* 確認ボタン */
.button-area > div > .check > button {
    color: var(--custom-white);
    background-color: var(--custom-blue);
    border-radius: 30px;
    font-weight: bold;
    display: inline-flex;
}

    .button-area > div > .check > button > .icon {
        float: right;
    }

/* 完了ボタン */
.button-area > div > .complete > button {
    color: var(--custom-white);
    background-color: var(--custom-blue);
    border-radius: 30px;
    font-weight: bold;
    display: inline-flex;
}

    .button-area > div > .complete > button > .icon {
        float: right;
    }

/* 戻るボタン */
.button-area > div .back > button {
    color: var(--custom-blue);
    background-color: var(--custom-white);
    border-radius: 30px;
    font-weight: bold;
    border: 2px solid var(--custom-gray2);
    display: inline-flex;
}

    .button-area > div .back > button > .icon {
        float: left;
    }

/* クーポン表示ボタン */
.button-area > div > .show-coupon > button {
    color: var(--custom-white);
    background-color: var(--custom-green);
    border-radius: 30px;
    font-weight: bold;
    display: inline-block;
    width: 90%;
    height: 50px;
    margin: 12px 0px 4px 0px;
    padding: 8px 13px;
}

/* 営業終了時間バルーン */
.today-end-time-balloon {
    left: 160px;
    width: 150px;
}

    .today-end-time-balloon .balloon-title {
        padding-left: 5px !important;
    }

    .today-end-time-balloon::after {
        left: 61%;
    }

/* 利用可能場所バルーン */
.use-location-balloon {
    left: 56px;
}

    .use-location-balloon .balloon-text > pre {
        text-align: left;
    }

    .use-location-balloon::after {
        left: 32%;
    }

/* 利用可能場所バルーン */
.use-location-set-balloon {
    left: 67px;
}

    .use-location-set-balloon .balloon-text > pre {
        text-align: left;
    }

    .use-location-set-balloon::after {
        left: 32%;
    }

/* 購入枚数バルーン */
.select-item-count-balloon {
    right: calc(50% - 276px);
    transform: translate(-50%, 0%);
}

    .select-item-count-balloon::after {
        left: 77%;
    }

/* 払戻しバルーン */
.cancel-back-balloon {
    right: 15px;
}

    .cancel-back-balloon::after {
        right: 8%;
    }

/*Google Fonts アイコン領域設定*/
.icon-area {
    width: 25px;
}

.icon-area-large {
    width: 30px;
}

/*横並びアイコン設定用*/
.icon-line-up {
    display: flex;
}

.icon-line-up-credit {
    display: flex;
}

/* ↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */
/* チェックボックスcommon.cssを上書き */
.form-check-label {
    box-sizing: border-box !important;
    cursor: pointer !important;
    position: relative !important;
}

input[type=checkbox].form-check-input + label::before {
    left: calc(50% - 120px) !important;
}

input[type=checkbox].form-check-input + label::after {
    left: calc(50% - 113px);
}
/* ↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑ */

#buy-num-select-area {
    padding-top: 20px;
}

.item-buy-num-guidance {
    margin-top: 0;
    justify-content: center;
    height: 60px;
    background-color: #e7edf5;
    color: #295ba5;
    border-bottom: 2px solid #a8bddb;
}

.item-buy-num {
    margin-bottom: 22px;
}

.item-buy-num-amount > span.price {
    font-weight: bold;
}


.external-browser-icon {
    right: 10px;
}

#dialog-other-credit {
    font-size: 14px;
}

.button-area {
    padding: 1px 16px;
}

#buttonsPart {
    padding: 0px 20px 8px 20px;
}

.btn {
    display: flex;
}

.name-label-wrapper {
    min-width: 65px;
}

.mailaddress-label-wrapper {
    min-width: 95px;
}

.mailaddress-display-wrapper {
    word-break: break-all;
}

.status-word {
    height: 40px;
    color: var(--custom-white);
    background-color: rgba(var(--custom-red-rgb), 0.5);
}

.show-card-dialog {
    color: var(--custom-red) !important;
}

.select-payment-method-area {
}

    .select-payment-method-area .radio-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 10px;
    }

        .select-payment-method-area .radio-container .radio-item {
            display: grid;
            grid-template-rows: 1fr 30px;
            gap: 5px;
            place-items: center;
            border: 3px solid var(--custom-gray2);
            border-radius: 7px;
            padding: 10px;
            cursor: pointer;
            transition: border-color 0.2s;
        }

            .select-payment-method-area .radio-container .radio-item img {
                max-width: 100px;
                height: auto;
                margin-bottom: 10px;
            }

            .select-payment-method-area .radio-container .radio-item span {
                font-size: 16px;
            }

        .select-payment-method-area .radio-container input[type="radio"] {
            display: none;
        }

            .select-payment-method-area .radio-container input[type="radio"]:checked + .radio-item {
                border: 3px solid var(--custom-blue);
            }

    .select-payment-method-area .show-card-dialog {
        color: var(--custom-blue) !important;
    }

/* 支払い情報 */
.payment-info {
    padding: 15px;
    font-size: 13px;
    background: var(--custom-white);
}

    .payment-info > div {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        color: var(--custom-black);
        margin-bottom: 12px;
        border-bottom: 1px solid var(--custom-black);
    }

.item-buy-num-input {
    width:auto !important;
}

.item-buy-num-input > button {
    font-size: 24px;
}
    .item-buy-num-input > button > span {
        background-color: #e7edf5;
        color:#295ba5;
        border-radius: 12px;
    }
.item-buy-num-input > input {
    width:30px;
}

.dispay-buy-num {
    font-size: 20px;
}

.disable-element {
    background: linear-gradient(#E5E5E5 0%, #B2B2B2 100%) !important;
    color: white !important;
}